Subject: bug#4276: 23.1.50; Repeated C-S-u (translated to C-u) acts like a single C-u

From: Deniz Dogan <[email-masked]>
Date: Thu, 27 Aug 2009 22:41:04 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

When I have Caps Lock turned on and hit C-u, emacs will recognize this
as C-S-u and then translate it to C-u. However, if I hit C-u C-u C-u
with Caps Lock turned on, it will result in just a single C-u.

Reproduction of this issue:
1. Turn Caps Lock on (or just hold shift throughout the rest of these
   instructions)
2. C-u C-u C-u
3. Wait for the key sequence to show up in the echo area
4. Hit e.g. "i"
5. Notice how only four characters were inserted.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/deniz/usr/share/emacs/23.1.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.3 (i686-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-23 on stalin
Windowing system distributor `The X.Org Foundation', version 11.0.10603000
configured using `configure  '--without-rsvg' '--without-tiff'
'--without-xpm' '--prefix=/home/deniz/usr''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-S-u C-S-u C-S-u C-S-u C-S-u I <return> C-S-u C-S-u
C-S-u C-S-u C-S-u i M-x r e p o r t - e m a c s - b
u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.